package eu.etaxonomy.taxeditor.application.menu.general;

import org.eclipse.swtbot.eclipse.finder.waits.Conditions;
import org.junit.Ignore;
import org.junit.Test;

import eu.etaxonomy.taxeditor.test.AbstractEditorTest;

/**
 * Open all "General -> New" menus
 *
 * @author n.hoffmann
 *
 */
@Ignore
public class NewMenuTest extends AbstractEditorTest {

	@Test
	public void canOpenNewWizardForTaxon(){
		openNewWizardFor("Taxon");
		utils.cancel();
	}


	@Test
	public void canOpenNewWizardForReference(){
		openNewWizardFor("Reference");
		utils.cancel();
	}


	@Test
	public void canOpenNewWizardForName(){
		openNewWizardFor("Name");
		utils.cancel();
	}


	@Test
	public void canOpenNewWizardForTeam(){
		openNewWizardFor("Team");
		utils.cancel();
	}


	@Test
	public void canOpenNewWizardForPerson(){
		openNewWizardFor("Person");
		utils.cancel();
	}

	@Test
	public void canOpenNewWizardForSpecimen(){
		openNewWizardFor("Specimen");
		utils.cancel();
	}


	@Test
	public void canOpenNewWizardForClassification(){
		openNewWizardFor("Classification");
		utils.cancel();
	}

	private void openNewWizardFor(String entity) {
		bot.menu("General").menu("New").menu(entity).click();
		bot.waitUntil(Conditions.shellIsActive("New Entity"));
	}
}
