package eu.etaxonomy.taxeditor.ui.dialogs;

import org.eclipse.swtbot.eclipse.finder.waits.Conditions;
import org.junit.Ignore;
import org.junit.Test;

import eu.etaxonomy.taxeditor.test.AbstractEditorTest;

@Ignore
public class LoginDialogTest extends AbstractEditorTest{

	@Test
	public void canLoginAsAdmin() throws Exception {
		bot.menu("General").menu("Login").click();
		bot.waitUntil(Conditions.shellIsActive("Login"));
		bot.textWithLabel("Username").setText("admin");
		bot.textWithLabel("Password").setText("00000");
		utils.ok();
	}

	@Test
	public void canCancelLogin() throws Exception {
		bot.menu("General").menu("Login").click();
		bot.waitUntil(Conditions.shellIsActive("Login"));
		utils.cancel();
	}

}
