/**
 *
 */
package eu.etaxonomy.taxeditor.ui.selection;

import org.eclipse.swtbot.eclipse.finder.waits.Conditions;
import org.junit.Ignore;
import org.junit.Test;

/**
 * This test will only test the selection element itself. The test may have to start other
 * dialogs open windows before to get at the selection element. Any errors on the way
 * should be handled by different tests.
 *
 * @author n.hoffmann
 *
 */
@Ignore
public class TaxonSelectionElementTest extends AbstractSelectionElementTest {
	@Override
	public void setup() {
		super.setup();
		bot.menu("General").menu("New").menu("Taxon").click();
		bot.waitUntil(Conditions.shellIsActive("New Entity"));
	}

	@Test
	public void canSelectTaxon() {
		utils.openFilteredSelection(2, "Choose a taxon");
		utils.cancel();
	}
}
